package org.artgasmator.model;

import java.util.Date;
import java.util.List;

public class Member {
	
	private Integer memberId;
	private Integer artistId;
	private String memberName;
	private Date memberBirthDate;
	private String memberBirthPlace;
	private List<Integer> gears;
	private String memberOccupation;
	private String biography;
	private Date creationDate;
	private byte[] photo;

	public List<Integer> getGears() {
		return gears;
	}
	public void setGears(List<Integer> gears) {
		this.gears = gears;
	}
	public Integer getArtistId() {
		return artistId;
	}
	public void setArtistId(Integer artistId) {
		this.artistId = artistId;
	}
	public Integer getMemberId() {
		return memberId;
	}
	public void setMemberId(Integer memberId) {
		this.memberId = memberId;
	}
	public byte[] getPhoto() {
		return photo;
	}
	public void setPhoto(byte[] photo) {
		this.photo = photo;
	}
	public Date getCreationDate() {
		return creationDate;
	}
	public void setCreationDate(Date creationDate) {
		this.creationDate = creationDate;
	}
	public String getMemberBirthPlace() {
		return memberBirthPlace;
	}
	public void setMemberBirthPlace(String memberBirthPlace) {
		this.memberBirthPlace = memberBirthPlace;
	}
	public String getMemberOccupation() {
		return memberOccupation;
	}
	public void setMemberOccupation(String memberOccupation) {
		this.memberOccupation = memberOccupation;
	}
	public String getMemberName() {
		return memberName;
	}
	public void setMemberName(String memberName) {
		this.memberName = memberName;
	}
	public Date getMemberBirthDate() {
		return memberBirthDate;
	}
	public void setMemberBirthDate(Date memberBirthDate) {
		this.memberBirthDate = memberBirthDate;
	}
	
	public String getBiography() {
		return biography;
	}
	public void setBiography(String biography) {
		this.biography = biography;
	}
	
	public Member() {
		
	}
}
